Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(25)

Unified Diff: chrome/tools/build/mac/keystone_install_test.sh

Issue 365004: When updating on a user ticket, check for system tickets (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: '' Created 11 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « chrome/tools/build/mac/keystone_install.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: chrome/tools/build/mac/keystone_install_test.sh
===================================================================
--- chrome/tools/build/mac/keystone_install_test.sh (revision 30964)
+++ chrome/tools/build/mac/keystone_install_test.sh (working copy)
@@ -72,6 +72,10 @@
defaults write "${DEST}/Contents/Info" KSVersion 0
cat >"${TEMPDIR}"/ksadmin <<EOF
#!/bin/sh
+if [ -z "\${FAKE_SYSTEM_TICKET}" ] && [ "\${1}" = "-S" ] ; then
+ echo no system tix! >& 2
+ exit 1
+fi
echo " xc=<KSPathExistenceChecker:0x45 path=${DEST}>"
exit 0
EOF
@@ -89,6 +93,10 @@
defaults write "${RSRCDIR}/Info" KSVersion 0
cat >"${TEMPDIR}"/ksadmin <<EOF
#!/bin/sh
+if [ -z "\${FAKE_SYSTEM_TICKET}" ] && [ "\${1}" = "-S" ] ; then
+ echo no system tix! >& 2
+ exit 1
+fi
echo " xc=<KSPathExistenceChecker:0x45 path=${DEST}>"
exit 0
EOF
@@ -126,6 +134,14 @@
make_basic_src_and_dest
fail_installer "Was no KSUpdateURL in dest after copy"
+make_basic_src_and_dest
+defaults write \
+ "${TEMPDIR}/${APPNAME}/Contents/Versions/1/${FWKNAME}/Resources/Info" \
+ KSUpdateURL "http://foo.bar"
+export FAKE_SYSTEM_TICKET=1
+fail_installer "User and system ticket both present"
+export -n FAKE_SYSTEM_TICKET
+
make_src
make_old_dest
defaults write \
« no previous file with comments | « chrome/tools/build/mac/keystone_install.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698